Powrót do spisu działów > Informacje dotyczące MDPro > Wymagania środowiskowe MD-Pro
  Opublikowano 04-12-2005  Drukuj aktualną stronę
przez bobek358  E-mail autora  URL autora

Wymagania środowiskowe MD-Pro

Wymagania środowiskowe MD-Pro są następujące:
  • serwer - nie ma różnicy czy serwer pracuje w platformie UNIX czy WINDOWS, system działa tak samo; przy platformach unix`owych należy ustawić odpowiednie uprawnienia do plików i katalogów (Chmod'y),
  • HTTP server - web serwer np Apache, IIS, itd.
  • PHP - w wersji 4.1.0 lub wyższej kompatybilnej z Twoją bazą danych, UWAGA: MD-Pro nie jest jeszcze do końca kompatybilny z PHP 5 czyli mogą występować błędy!
  • MySQL - w dokumentacji napisane jest że do poprawnej pracy wymaga wersji 3.23 lub wyższej, może także pracować na Oracle 8.1 lub wyższej,
  • minimalna powierzchnia dyskowa to 25 MB, ja polecam na początek mieć serwer o pojemności 50 MB i w miarę dodawania treści powiększać go.


Ustawienia PHP konieczne do poprawnej pracy MD-Pro:
  • SAFE_MODE -> OFF
  • REGISTER_GLOBALS -> ON
  • OPEN_BASEDIR -> pusty lub link do naszego MD-Pro

Aby działały krótkie url`e należy mieć włączony: mod_rewrite (włączyć go może tylko admin Twojego serwera).